<div class="container">
	<h1 class="mb-3">Register a new account</h1>

	<button class="btn btn-success mb-3"  (click)="gettoken()" type="button" >Get username from GitLab</button>
	
	<form [formGroup]="registerUserForm">
		<div class="form-group">
			<label for="username">Username:</label>

			<input class="form-control" type="text" name="username" id="username"
				formControlName=username readonly>
		</div>
		
		<div class="form-group">
			<label for="password">Password: </label>
			<input class="form-control" type="password" name="password" id="Password"
				placeholder="Enter your password..." formControlName="password">
		</div>

		<button class="btn btn-primary mt-3" (click)="saveuser()" type="submit">Register your account</button>
	</form>

	<p *ngIf="error === 1" style="color :red">Something went wrong.. Please try again.</p>
	<p *ngIf="error === 0" style="color :red">This user is already registered.. Perhaps you should try to <a [routerLink]="['/login']">login</a></p>
</div>



<!--  -->
